Bug 143747 - Graphical VG representation not shown in localized GUI
Graphical VG representation not shown in localized GUI
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-26 13:49 EST by Andrew Martynov
Modified: 2008-01-26 09:18 EST (History)
7 users (show)

See Also:
Fixed In Version: system-config-lvm-1.1.1-2.0.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 09:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot in C locale (94.07 KB, image/png)
2004-12-26 13:50 EST, Andrew Martynov
no flags Details
screenshot in ru_RU.UTF-8 locale (79.78 KB, text/plain)
2004-12-26 13:52 EST, Andrew Martynov
no flags Details
screenshot in ru_RU.UTF-8 locale (corrected mime type) (79.78 KB, image/png)
2004-12-26 13:56 EST, Andrew Martynov
no flags Details
Screenshot in "ru_RU.UTF-8" language. (67.21 KB, image/png)
2008-01-26 09:18 EST, Peter van Egdom
no flags Details
Screenshot in "de_DE.UTF-8" language. (70.65 KB, image/png)
2008-01-26 09:18 EST, Peter van Egdom
no flags Details

  None (edit)
Description Andrew Martynov 2004-12-26 13:49:48 EST
Description of problem:
Graphical representation of PV is not shown.
Python traceback is occured when focus moved 
between tree item in left panel.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.18-1.0
rhpl-0.151-1
python-2.3.4-14

How reproducible:
Often

Steps to Reproduce:
1. Install FC3 or RHEL4-beta2
2. Upgrare rhpl and system-config-lvm from CVS
3. Put localized messages
# msgfmt ./po/ru.po -o
/usr/share/locale/ru/LC_MESSAGES/system-config-lvm.mo
4. run LANG=C system-config-lvm
5. Open "Volume Groups", "VolGroup00", "VolGroup00 Physical View", "hdb3"
6. You can see red&blue bars and footnotes as in attachement #1
7. run LANG=ru_RU.UTF-8 system-config-lvm
8. Open "Volume Groups", "VolGroup00", "VolGroup00 Physical View", "hdb3"
9. You can see blinked windows and no bars (as in attachement #2)
  
Actual results:
No graphical representations og Volumes

Expected results:
Red and Blue bars with footnotes

Additional info:

The same results can be recieved with de_DE.UTF-8.

Python traceback is attached
-----------------------------------------------------------------
[andrewm@rhel4 fedora-translate]$ LANG=ru_RU.UTF-8 system-config-lvm
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 303, in
on_tree_selection_changed
    self.vr.render(pv_list, 0)
  File "/usr/share/system-config-lvm/renderer.py", line 150, in render
    self.divide_volume(self.viewable_vols)
  File "/usr/share/system-config-lvm/renderer.py", line 1202, in
divide_volume
    extent_multiplier = operator.div(span, total)
ZeroDivisionError: float division
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 342, in
on_tree_selection_changed
    self.vr.render_single_volume(pv, type)
  File "/usr/share/system-config-lvm/renderer.py", line 376, in
render_single_volume
    self.divide_single_volume(self.viewable_volume)
  File "/usr/share/system-config-lvm/renderer.py", line 1220, in
divide_single_volume
    extent_multiplier = operator.div(float(span), float(total))
ZeroDivisionError: float division
Comment 1 Andrew Martynov 2004-12-26 13:50:55 EST
Created attachment 109126 [details]
screenshot in C locale
Comment 2 Andrew Martynov 2004-12-26 13:52:05 EST
Created attachment 109127 [details]
screenshot in ru_RU.UTF-8 locale
Comment 3 Andrew Martynov 2004-12-26 13:56:43 EST
Created attachment 109128 [details]
screenshot in ru_RU.UTF-8 locale (corrected mime type)
Comment 4 Stanko Kupcevic 2005-05-16 16:31:52 EDT
Fixed in 0.9.27
Comment 5 David Lawrence 2006-07-17 23:10:43 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 6 Peter van Egdom 2008-01-26 09:17:11 EST
Confirmed fixed in "system-config-lvm-1.1.1-2.0.fc8". See attached screenshots.
Comment 7 Peter van Egdom 2008-01-26 09:18:22 EST
Created attachment 293050 [details]
Screenshot in "ru_RU.UTF-8" language.
Comment 8 Peter van Egdom 2008-01-26 09:18:53 EST
Created attachment 293051 [details]
Screenshot in "de_DE.UTF-8" language.

Note You need to log in before you can comment on or make changes to this bug.